Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class AxisLineFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.AxisLineFormatRecord

    public final class AxisLineFormatRecord

extends StandardRecord

The axis line format record defines the axis type details.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `AXIS_TYPE_AXIS_LINE`
`static short` | `AXIS_TYPE_MAJOR_GRID_LINE`
`static short` | `AXIS_TYPE_MINOR_GRID_LINE`
`static short` | `AXIS_TYPE_WALLS_OR_FLOOR`
`static short` | `sid`

Constructor Summary
`AxisLineFormatRecord()`
`AxisLineFormatRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getAxisType()` Get the axis type field for the AxisLineFormat record.
`protected int` | `getDataSize()`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setAxisType(short field_1_axisType)` Set the axis type field for the AxisLineFormat record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### AXIS_TYPE_AXIS_LINE

    public static final short AXIS_TYPE_AXIS_LINE

See Also:
  Constant Field Values

### AXIS_TYPE_MAJOR_GRID_LINE

    public static final short AXIS_TYPE_MAJOR_GRID_LINE

See Also:
  Constant Field Values

### AXIS_TYPE_MINOR_GRID_LINE

    public static final short AXIS_TYPE_MINOR_GRID_LINE

See Also:
  Constant Field Values

### AXIS_TYPE_WALLS_OR_FLOOR

    public static final short AXIS_TYPE_WALLS_OR_FLOOR

See Also:
  Constant Field Values

Constructor Detail

### AxisLineFormatRecord

    public AxisLineFormatRecord()

### AxisLineFormatRecord

    public AxisLineFormatRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getAxisType

    public short getAxisType()

  Get the axis type field for the AxisLineFormat record.

  Returns:
    One of AXIS_TYPE_AXIS_LINE AXIS_TYPE_MAJOR_GRID_LINE AXIS_TYPE_MINOR_GRID_LINE AXIS_TYPE_WALLS_OR_FLOOR

### setAxisType

    public void setAxisType(short field_1_axisType)

  Set the axis type field for the AxisLineFormat record.

  Parameters:
    `field_1_axisType` - One of AXIS_TYPE_AXIS_LINE AXIS_TYPE_MAJOR_GRID_LINE AXIS_TYPE_MINOR_GRID_LINE AXIS_TYPE_WALLS_OR_FLOOR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.